# DeveloperResource Class After Editing

    package samples.model;

    import org.eclipse.rse.core.subsystems.AbstractResource;
    import org.eclipse.rse.core.subsystems.ISubSystem;

    /**
     * This models a remote resource representing a developer defined on a particular system.
     */
    public class DeveloperResource extends AbstractResource {

    	private String name;
    	private String id;
    	private String deptNbr;

    	/**
    	 * Default constructor for DeveloperResource.
    	 */
    	public DeveloperResource()
    	{
    		super();
    	}

    	/**
    	 * Constructor for DeveloperResource when given parent subsystem.
    	 */
    	public DeveloperResource(ISubSystem parentSubSystem)
    	{
    		super(parentSubSystem);
    	}

    	/**
    	 * Returns the name.
    	 * @return String
    	 */
    	public String getName()
    	{
    		return name;
    	}

    	/**
    	 * Sets the name.
    	 * @param name The name to set
    	 */
    	public void setName(String name)
    	{
    		this.name = name;
    	}

    	/**
    	 * Returns the id.
    	 * @return String
    	 */
    	public String getId()
    	{
    		return id;
    	}

    	/**
    	 * Sets the id.
    	 * @param id The id to set
    	 */
    	public void setId(String id)
    	{
    		this.id = id;
    	}

    	/**
    	 * Returns the deptNbr.
    	 * @return String
    	 */
    	public String getDeptNbr()
    	{
    		return deptNbr;
    	}

    	/**
    	 * Sets the deptNbr.
    	 * @param deptNbr The deptNbr to set
    	 */
    	public void setDeptNbr(String deptNbr)
    	{
    		this.deptNbr = deptNbr;
    	}

    }